

/* Book Appoinment Form Area CSS */

.customLoader{position:absolute;inset:0;z-index:10;background-color:rgba(249,247,244,.5);}
.customLoader::before{animation-duration:1.2s;animation-iteration-count:infinite;animation-name:contentLoaderAnim;animation-timing-function:linear;background:linear-gradient(#212121,#a17676);border-radius:50%;content:"d";display:block;height:40px;mask:radial-gradient(transparent 19px,#212121 0);position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);width:40px;z-index:5}
@keyframes contentLoaderAnim{
    0%{transform:translate(-50%,-50%) rotate(0)}
    100%{transform:translate(-50%,-50%) rotate(1turn)}
}

.appointform_sec{padding-block:var(--space-100) var(--space-150);}
.appointform_sec .cnk_title>.title24:has(+ *){margin-bottom:3rem;}
.appointform_btn{max-width:50rem;display:flex;gap:1rem;justify-content:center;text-align:center;margin-top:var(--space-50);margin-inline:auto;}
.appointform_btn>*{width:100%;max-width:35rem;}
.appointform_btn>.viewbtn_dark{width:100%;}
.apoint_purpose .row{--bs-gutter-x:2rem;--bs-gutter-y:2rem;}
.radio_select{display:grid;cursor:pointer;position:relative;text-align:center;height:100%;}
.radio_select>*{grid-area:1/1;}
.radio_select>label{font:var(--font-18);letter-spacing:var(--letter-spacing-0-54);position:relative;width:100%;height:100%;padding:3rem;min-height:16rem;border:0.5rem solid transparent;background-color:var(--color-f6);display:flex;flex-direction:column;justify-content:center;align-items:center;cursor:pointer;color:var(--color-black);transition:all 0.5s ease;-webkit-transition:all 0.5s ease;-moz-transition:all 0.5s ease;-ms-transition:all 0.5s ease;}
.radio_select>input[type="radio"]{opacity:0;position:absolute;top:1rem;left:1rem;appearance:none;-webkit-appearance:none;-moz-appearance:none;width:1.5rem;height:1.5rem;border:0.1rem solid rgb(30 30 30 / 13%);background-color:var(--color-white);border-radius:50%;cursor:pointer;transition:all 0.3s ease;-webkit-transition:all 0.3s ease;-moz-transition:all 0.3s ease;-ms-transition:all 0.3s ease;-o-transition:all 0.3s ease;}
.radio_select>input[type="radio"]:checked::before{content:"";position:absolute;inset:0.1rem;background:var(--color-12);border-radius:50%;}
.radio_select>label>h3{margin-bottom:2rem;}
.radio_select>label>p:not(:last-of-type){margin-bottom:0.5rem;}
.radio_select>label:hover{border-color:var(--color-e3);}
.radio_select:has(input[type="radio"]:checked) label{border-color:var(--color-e3);box-shadow:0px 5px 7px rgb(0 0 0 / 10%);}
.apointstore_select{margin-top:var(--space-50)}
.apointstore_select>.row{--bs-gutter-x:2rem;--bs-gutter-y:1.2rem;justify-content:center;}
.apoint_brand>.row{--bs-gutter-x:2rem;--bs-gutter-y:1.2rem;justify-content:center;}
.apoint_purpose .radio_select>label{color:var(--color-white);background-color:rgb(0 0 0 / 50%);}
.apoint_brand .radio_select{display:flex;flex-direction:column;justify-content:center;align-items:center;}
.apoint_brand .radio_select>label>img{height:10rem;width:auto;}
 

.calendar_nav{display:flex;align-items:center;justify-content:space-between;gap:1.5rem;}
.calendar_nav>p{font-weight:var(--fw-600);}
.calendar_btn{position:relative;margin-top:0;width:4rem;height:4rem;right:auto;border:none;left:auto;font-size:1.2rem;font-weight:bold;color:var(--color-black);background-color:var(--color-f8);border-radius:0;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;-o-border-radius:0;transition:all .5s ease;-webkit-transition:all .5s ease;-moz-transition:all .5s ease;-ms-transition:all .5s ease;-o-transition:all .5s ease;}
.calendar_btn>img{max-width:0.6rem;margin:auto;}
.calendar_btn:hover{color:var(--color-white);background-color:var(--color-33);}
.calendar_btn:hover>img{filter:brightness(0) invert(1);-webkit-filter:brightness(0) invert(1);}
.calendar_date{margin-top:var(--space-50);}
.calendar_date>ul{padding:0;margin:0;display:grid;grid-template-columns:repeat(3,1fr);gap:0.8rem;}
.calendar_date>ul>li{list-style:none;padding:1rem;text-align:center;cursor:pointer;font:var(--font-16);font-weight:var(--fw-400);background-color:var(--color-f6);}
.calendar_date>ul>li>strong{display:block;font-weight:var(--fw-600);}
.calendar_date>ul>li.active{color:var(--color-white);background-color:var(--color-46);}
.calendar_date>ul>li[disabled]{    pointer-events: none;opacity: 0.5;}
.calendar_date>ul>li.disabled{    pointer-events: none;opacity: 0.5;}
.calendar_time{margin-top:var(--space-50);}
.calendar_time .cnk_title {margin-bottom: var(--space-30);}
.calendar_time>ul{padding:0;margin:0;display:grid;grid-template-columns:repeat(3,1fr);gap:0.8rem;}
.calendar_time>ul>li{list-style:none;padding:1rem;text-align:center;cursor:pointer;font:var(--font-16);font-weight:var(--fw-400);background-color:var(--color-f6);}
.calendar_time>ul>li.active{color:var(--color-white);background-color:var(--color-46);}
.calendar_time>ul>li.disabled{    pointer-events: none;opacity: 0.5;}
.calendar_time>ul>li[disabled]{    pointer-events: none;opacity: 0.5;}
.selected_detail{margin-bottom:var(--space-50);}
.selected_detail>.title18{text-align:center;margin-bottom:3rem;}
.selected_detail>ul{padding:0;margin:0;display:flex;flex-wrap:wrap;justify-content:center;gap:1rem 2rem;}
.selected_detail>ul>li{list-style:none;display:inline-flex;gap:0.5rem;align-items:center;font:var(--font-16);letter-spacing:var(--letter-spacing-0-8);line-height:normal;padding:0.5rem 1rem;height:3.3rem;border-radius:0.5rem;background-color:rgb(227 209 185 / 20%);}
.appoint_form>.row{--bs-gutter-x:2rem;--bs-gutter-y:1.2rem;}
.appoint_form .input_group{grid-template-columns:13rem auto;}
.appoint_form .check_group{max-width:52rem;margin-inline:auto;display:flex;flex-direction:column;justify-content:center;gap:1.8rem;margin-top:5rem;}
.appoint_form .form-checkbox label{font:var(--font-14);line-height:normal;font-weight:var(--fw-300);letter-spacing:0.042rem;color:var(--color-black);}
.appoint_form .form-checkbox input[type="checkbox"]{width:12px;height:12px;border-color:var(--color-70);border-radius:0;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;-o-border-radius:0;}
.appoint_form .form-checkbox input[type="checkbox"]:checked::before{width:4px;height:8px;left:3px;top:0;border-right:0.15rem solid var(--color-70);border-bottom:0.15rem solid var(--color-70);}
.appointform_sec .text-danger{margin-top: 1rem;}

.appointstep_final{text-align:center;padding:5rem;margin-inline:auto;border:0.1rem solid var(--color-e3);}
.step_detail{background-color:var(--color-f6);padding:3rem;}
.step_confirm{text-align:center;margin-bottom:var(--space-48);max-width:74%;margin-inline:auto;}
.step_confirm>.title15:has(+ *){margin-bottom:0.4rem;}
.step_confirm>.title36:has(+ *){margin-bottom:1.6rem;}
.finalstep_grid>.selected_detail{margin-bottom:0;}
.finalstep_grid>.selected_detail>.viewbtn_dark{margin-top:var(--space-50);}
.step_detail>.viewbtn_dark{margin-top:5rem;}
.appointform_sec:has(.hero_collections){padding-bottom:0;}
.appointform_sec:has(.hero_collections) .cnk_title{margin-block:var(--space-100) var(--space-48);text-align:center;}

@media(max-width:767px){
    .calendar_btn{width:2.6rem;height:2.6rem;}
    .calendar_btn>img{max-width:0.5rem;}
    .calendar_date>ul,.calendar_time>ul{gap:0.3rem;}
    .appointform_btn{gap:0.5rem;}
    .appoint_form .check_group .form-checkbox{gap:1rem;flex-wrap:nowrap;align-items:start;}
    .selected_detail>.title18{margin-bottom:2rem;}
    .selected_detail>ul{gap:0.5rem;}
    .appoint_form .check_group{margin-top:3rem;}
    .appointform_btn>.back_btn{max-width:12rem;width:100%;}
    .appointstep_final {padding: 2rem;}
    .step_confirm{max-width: 100%;}
}